Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.ui
Interface IKeys

public interface IKeys

IKeys is an interface containing values for special keys and modifiers.

Below is an example of IKeys being used.

     public void onEvent(Event event)
     {
      if (event.type == KeyEvent.KEY_PRESS)
      {
         KeyEvent ke = (KeyEvent)event;
         if ((ke.modifiers & CONTROL) > 0)
            ... control key was held down
         if (ke.key == IKeys.PAGE_DOWN)
            ... page down key pressed
         if (ke.key == IKeys.PAGE_UP)
            ... page up key pressed

Field Summary
`static int` | `ACTION` Valid only on WindowsCE.
`static int` | `ALT` modifier for alt key
`static int` | `BACKSPACE` special key
`static int` | `CALC` CALC button under PalmOS, NOTES button under WindowsCE
`static int` | `COMMAND` special key
`static int` | `CONTROL` modifier for control key
`static int` | `DELETE` special key
`static int` | `DOWN` special key
`static int` | `END` special key
`static int` | `ENTER` special key
`static int` | `ESCAPE` special key
`static int` | `FIND` Valid only on PalmOS
`static int` | `HARD1`
`static int` | `HARD2`
`static int` | `HARD3`
`static int` | `HARD4`
`static int` | `HOME` special key
`static int` | `INSERT` special key
`static int` | `JOG_DOWN` Supported only in systems that has a Jogdial.
`static int` | `JOG_PUSH` Supported only in systems that has a Jogdial.
`static int` | `JOG_PUSHDOWN` Supported only in systems that has a Jogdial (and not all systems supports this state).
`static int` | `JOG_PUSHREPEAT` Supported only in systems that has a Jogdial (and not all systems supports this state).
`static int` | `JOG_PUSHUP` Supported only in systems that has a Jogdial (and not all systems supports this state).
`static int` | `JOG_RELEASE` Supported only in systems that has a Jogdial (and not all systems supports this state).
`static int` | `JOG_UP` Supported only in systems that has a Jogdial.
`static int` | `KEYBOARD`
`static int` | `KEYBOARD_123`
`static int` | `KEYBOARD_ABC`
`static int` | `LAUNCH` Valid only on PalmOS
`static int` | `LEFT` special key
`static int` | `MENU` special key
`static int` | `PAGE_DOWN` special key
`static int` | `PAGE_UP` special key
`static int` | `RIGHT` special key
`static int` | `SHIFT` modifier for shift key
`static int` | `TAB` special key
`static int` | `UP` special key

Field Detail

### ALT

    public static final int ALT

  modifier for alt key

### CONTROL

    public static final int CONTROL

  modifier for control key

### SHIFT

    public static final int SHIFT

  modifier for shift key

### PAGE_UP

    public static final int PAGE_UP

  special key

### PAGE_DOWN

    public static final int PAGE_DOWN

  special key

### HOME

    public static final int HOME

  special key

### END

    public static final int END

  special key

### UP

    public static final int UP

  special key

### DOWN

    public static final int DOWN

  special key

### LEFT

    public static final int LEFT

  special key

### RIGHT

    public static final int RIGHT

  special key

### INSERT

    public static final int INSERT

  special key

### ENTER

    public static final int ENTER

  special key

### TAB

    public static final int TAB

  special key

### BACKSPACE

    public static final int BACKSPACE

  special key

### ESCAPE

    public static final int ESCAPE

  special key

### DELETE

    public static final int DELETE

  special key

### MENU

    public static final int MENU

  special key

### COMMAND

    public static final int COMMAND

  special key

### KEYBOARD_ABC

    public static final int KEYBOARD_ABC

### KEYBOARD_123

    public static final int KEYBOARD_123

### KEYBOARD

    public static final int KEYBOARD

### HARD1

    public static final int HARD1

### HARD2

    public static final int HARD2

### HARD3

    public static final int HARD3

### HARD4

    public static final int HARD4

### CALC

    public static final int CALC

  CALC button under PalmOS, NOTES button under WindowsCE

### FIND

    public static final int FIND

  Valid only on PalmOS

### LAUNCH

    public static final int LAUNCH

  Valid only on PalmOS

### ACTION

    public static final int ACTION

  Valid only on WindowsCE. If not registered by the user, it is replaced by MENU.

### JOG_UP

    public static final int JOG_UP

  Supported only in systems that has a Jogdial. Currently, only in Sony. In Handera you must check for PAGE_UP key instead.

### JOG_DOWN

    public static final int JOG_DOWN

  Supported only in systems that has a Jogdial. Currently, only in Sony. In Handera you must check for PAGE_DOWN key instead.

### JOG_PUSH

    public static final int JOG_PUSH

  Supported only in systems that has a Jogdial. Currently, only in Sony. In Handera you must check for ENTER key instead.

### JOG_RELEASE

    public static final int JOG_RELEASE

  Supported only in systems that has a Jogdial (and not all systems supports this state). Currently, only in Sony.

### JOG_PUSHREPEAT

    public static final int JOG_PUSHREPEAT

  Supported only in systems that has a Jogdial (and not all systems supports this state). Currently, only in Sony.

### JOG_PUSHUP

    public static final int JOG_PUSHUP

  Supported only in systems that has a Jogdial (and not all systems supports this state). Currently, only in Sony.

### JOG_PUSHDOWN

    public static final int JOG_PUSHDOWN

  Supported only in systems that has a Jogdial (and not all systems supports this state). Currently, only in Sony.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD